Debian Bug report logs - #673965
libgc: please package version 7.2

version graph

Package: libgc1c2; Maintainer for libgc1c2 is Christoph Egger <christoph@debian.org>; Source for libgc1c2 is src:libgc.

Reported by: Andy Wingo <wingo@pobox.com>

Date: Tue, 22 May 2012 08:59:42 UTC

Severity: wishlist

Found in version libgc/1:7.1-8

Fixed in version libgc/1:7.2d-1

Done: Christoph Egger <christoph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christoph Egger <christoph@debian.org>:
Bug#673965; Package libgc1c2. (Tue, 22 May 2012 08:59:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andy Wingo <wingo@pobox.com>:
New Bug report received and forwarded. Copy sent to Christoph Egger <christoph@debian.org>. (Tue, 22 May 2012 08:59:47 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andy Wingo <wingo@pobox.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libgc: please package version 7.2
Date: Tue, 22 May 2012 10:50:12 +0200
Package: libgc1c2
Version: 1:7.1-8
Severity: wishlist
File: libgc

Dear Maintainer,

Libgc version 7.2 final is out.  Please consider packaging it for
Debian.

See: http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/

Cheers,

Andy

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libgc1c2 depends on:
ii  libc6       2.13-32
ii  libgcc1     1:4.7.0-7
ii  libstdc++6  4.7.0-7

libgc1c2 recommends no packages.

libgc1c2 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Egger <christoph@debian.org>:
Bug#673965; Package libgc1c2. (Tue, 22 Jan 2013 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <dschepler@gmail.com>:
Extra info received and forwarded to list. Copy sent to Christoph Egger <christoph@debian.org>. (Tue, 22 Jan 2013 16:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 673965@bugs.debian.org (full text, mbox):

From: Daniel Schepler <dschepler@gmail.com>
To: 673965@bugs.debian.org
Cc: 673965-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Preliminary 7.2d source package uploaded to debian-ports
Date: Tue, 22 Jan 2013 08:30:03 -0800
user debian-x32@lists.debian.org
usertags 673965 + port-x32 ftbfs-x32
thanks

Certainly it's too late in the release to upgrade libgc in sid; but it
would still be nice to have a 7.2 libgc available in experimental.

I needed libgc 7.2 for the unofficial Debian x32 port, as the version
currently in sid doesn't support x32.  If you want to check out my
packaging, it should be available under
<URL:http://ftp.debian-ports.org/debian/pool-x32/main/libg/libgc> (or,
if you look within the next couple hours, at
incoming.debian-ports.org).
-- 
Daniel Schepler



Message sent on to Andy Wingo <wingo@pobox.com>:
Bug#673965. (Tue, 22 Jan 2013 16:33:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#673965; Package libgc1c2. (Tue, 22 Jan 2013 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. (Tue, 22 Jan 2013 19:00:03 GMT) Full text and rfc822 format available.

Message #18 received at 673965@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Daniel Schepler <dschepler@gmail.com>
Cc: 673965@bugs.debian.org, 673965-submitter@bugs.debian.org
Subject: Re: Bug#673965: Preliminary 7.2d source package uploaded to debian-ports
Date: Tue, 22 Jan 2013 10:35:02 -0800
Hi!

Daniel Schepler <dschepler@gmail.com> writes:
> Certainly it's too late in the release to upgrade libgc in sid; but it
> would still be nice to have a 7.2 libgc available in experimental.
>
> I needed libgc 7.2 for the unofficial Debian x32 port, as the version
> currently in sid doesn't support x32.  If you want to check out my
> packaging, it should be available under
> <URL:http://ftp.debian-ports.org/debian/pool-x32/main/libg/libgc> (or,
> if you look within the next couple hours, at
> incoming.debian-ports.org).

Certainly. Unfortunately I didn't find the time to take a closer look at
the tonns of symbols exported in 7.1 but missing in 7.2 and I don't feel
like uploading before I'm sure everything actually is fine.

Regards

    Christoph



Message sent on to Andy Wingo <wingo@pobox.com>:
Bug#673965. (Tue, 22 Jan 2013 19:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Egger <christoph@debian.org>:
Bug#673965; Package libgc1c2. (Sun, 02 Jun 2013 01:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rob Browning <rlb@defaultvalue.org>:
Extra info received and forwarded to list. Copy sent to Christoph Egger <christoph@debian.org>. (Sun, 02 Jun 2013 01:21:07 GMT) Full text and rfc822 format available.

Message #26 received at 673965@bugs.debian.org (full text, mbox):

From: Rob Browning <rlb@defaultvalue.org>
To: 673965@bugs.debian.org
Subject: Re: libgc: please package version 7.2
Date: Sat, 01 Jun 2013 20:16:27 -0500
This is also needed by guile-2.0.

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4



Added indication that bug 673965 blocks 701397 Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Fri, 07 Jun 2013 02:06:14 GMT) Full text and rfc822 format available.

Added indication that bug 673965 blocks 682919 Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Fri, 07 Jun 2013 02:06:15 GMT) Full text and rfc822 format available.

Reply sent to Christoph Egger <christoph@debian.org>:
You have taken responsibility. (Sun, 09 Jun 2013 12:51:05 GMT) Full text and rfc822 format available.

Notification sent to Andy Wingo <wingo@pobox.com>:
Bug acknowledged by developer. (Sun, 09 Jun 2013 12:51:05 GMT) Full text and rfc822 format available.

Message #35 received at 673965-close@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 673965-close@bugs.debian.org
Subject: Bug#673965: fixed in libgc 1:7.2d-1
Date: Sun, 09 Jun 2013 12:48:07 +0000
Source: libgc
Source-Version: 1:7.2d-1

We believe that the bug you reported is fixed in the latest version of
libgc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673965@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Egger <christoph@debian.org> (supplier of updated libgc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 09 Jun 2013 13:26:37 +0200
Source: libgc
Binary: libgc1c2 libgc-dev
Architecture: source amd64
Version: 1:7.2d-1
Distribution: experimental
Urgency: low
Maintainer: Christoph Egger <christoph@debian.org>
Changed-By: Christoph Egger <christoph@debian.org>
Description: 
 libgc-dev  - conservative garbage collector for C (development)
 libgc1c2   - conservative garbage collector for C and C++
Closes: 673965 687493
Changes: 
 libgc (1:7.2d-1) experimental; urgency=low
 .
   * New upstream release (Closes: #673965)
   * Add build-dependency for pkg-config to allow detection of libatomic_ops
   * Import patch Christian M. Amsüss to enable multiarch (Closes: #687493)
Checksums-Sha1: 
 4d0681f6fb22b29d954fa2807144e0b903239f0c 1923 libgc_7.2d-1.dsc
 b43573800e27361da78f05a2e98394521cfa04fc 1263064 libgc_7.2d.orig.tar.gz
 21ad3369c88298ab727f3e99dce55685cfb74881 16534 libgc_7.2d-1.debian.tar.gz
 b184026b3534072e965ddea22dba0d27f75396aa 146068 libgc1c2_7.2d-1_amd64.deb
 7f8d7bbd70d8f23aba24b9412bd0589bc2c70852 267066 libgc-dev_7.2d-1_amd64.deb
Checksums-Sha256: 
 f771bc06dbb40dc74fd929b0ea112d63d88e03c3c3fad169953f339b18390221 1923 libgc_7.2d-1.dsc
 d9fe0ae8650d43746a48bfb394cab01a319f3809cee19f8ebd16aa985b511c5e 1263064 libgc_7.2d.orig.tar.gz
 e02d3022a132bc2be8cc6852c2ebb79361e095356ee876eeff3d0d62944ebd8e 16534 libgc_7.2d-1.debian.tar.gz
 b43b15de77d5487ea07f195446773d48cb91fc2aa5af37242b81ca8f440974e7 146068 libgc1c2_7.2d-1_amd64.deb
 17e5914c03ad84d0526d7f7dd1b968e62b9799a0b7b8bfb489b799d54ad0e270 267066 libgc-dev_7.2d-1_amd64.deb
Files: 
 23553bdf5af51c6c44ffb623c876d4d2 1923 libs standard libgc_7.2d-1.dsc
 91340b28c61753a789eb6077675d87d2 1263064 libs standard libgc_7.2d.orig.tar.gz
 152b0f6cf9df3c48eaca9ffe6c726cb8 16534 libs standard libgc_7.2d-1.debian.tar.gz
 fe4b160eaadaf5fceb2f0b111c55f461 146068 libs standard libgc1c2_7.2d-1_amd64.deb
 2f657fa0b47c91cde2d751856e466ccd 267066 libdevel optional libgc-dev_7.2d-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRtHVbAAoJEKv/7bJACMb5bGUP/jPyR+pj1rg18u2DESj44ZJB
LWYkbv80hERoLKVMMbbNJvRK9pZ1e/1n9YqvK6TTwUKMkcIuAgLKIR5UyeJcvZLy
bSwO9emYBHxlpOeTsvq3ANk+8KM6K2By1yWewxWHrJjQTrbBnt5Tp9yYxM4byP4o
nsi/5vL4FNe1HtEXvm2wAXF/gaSG0PsAyMM6ffdXGQMFolYYXUi/CHAQeml4M6Xy
Rq7Hjya/Ps57LLlZFZb6LUL/I8VDZ8TEB4baFqSFCdXKyGXoCDx58ExqSBD/Oqz3
c5X0Y2m2768SS41Dzv5J0IroUtQVsq3R1/dJRjZQuh69ZapRvZFak6wChyBviJ/+
JP8bl7w6tLjf7jQ3/w3HyZNNRHLuXxE6SUB7bvxUABlcdg+ALWoO9fWqNsrTjaVR
kCe0NsWP1nR/ubqn9Z/eq/pEXnW3w2glbQQwsBq10a3KCCwrZQoG+fZKwZ+Vk1UG
QS5KfZ/T0WPost8TG3xvL6Z0pPpT9Dfj9yw+0N4ya4DfDFrpG7M2u5ZA8AihcFrD
Gte0ndb7ZkDSl//g6cR0EinVuUuRyhewRr/yQvSkx3B/2M6PPIe+crg9voKgcM+6
b37hEYd+komLPWYQOnpJ8hQGIiVpCC6C/3L/AJBoo8Vtda/kaPBw2F00j9OdCxtn
CNJjji5rVst9tC07vy8X
=SQXw
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 31 Jul 2013 07:36:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:14:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.